#!/usr/bin/ruby -w
# Encoding: UTF-8
# =========================================================================== #
# === Dictionaries::AskItalianWord
# =========================================================================== #
require 'dictionaries/class/ask_word_from_dictionary.rb'

module Dictionaries

class AskItalianWord < AskWordFromDictionary

  # ========================================================================= #
  # === DATA
  # ========================================================================= #
  if defined?(DATA) == 'constant'
    if DATA.respond_to? :read
      _ = DATA.read
    else
      e 'DATA does not respond to :read'
    end
  else
    _ = ''
  end
  if _.to_s.empty? # Next, define the default delay.
    DEFAULT_DELAY = 2.6 # How long to wait before asking a question.
  else
    _ = _.first if _.is_a? Array
    DEFAULT_DELAY = _.strip.to_f
  end

  # ========================================================================= #
  # === THIS_FILE
  # ========================================================================= #
  THIS_FILE = THIS_FILE_HERE = __FILE__.to_s

  unless ENV['DICTIONARIES_FILE'] and File.exist?(ENV['DICTIONARIES_FILE'])
    Dictionaries.set_main_file(THIS_FILE)
  end

  # ========================================================================= #
  # === AskItalianWord.main_file?
  # ========================================================================= #
  def self.main_file?
    Dictionaries.main_file?
  end

  # ========================================================================= #
  # === AskItalianWord.dataset?
  # ========================================================================= #
  def self.dataset?
    YAML.load_file(self.main_file?)
  end

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(commandline_arguments = ARGV)
    super(commandline_arguments, self.class.main_file?)
  end

  # ========================================================================= #
  # === AskItalianWord[]
  # ========================================================================= #
  def self.[](i)
    self.new(i)
  end

end

# =========================================================================== #
# === Dictionaries.ask_italian_word
# =========================================================================== #
def self.ask_italian_word
  AskItalianWord.new
end

end

if __FILE__ == $PROGRAM_NAME
  Dictionaries::AskItalianWord.new(ARGV)
end # askita
# This is the delay to use for this class.
__END__
2.2