#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Dictionaries::GUI::Tk::Dictionary
#
# This is a small TK-wrapper.
# =========================================================================== #
# require 'dictionaries/gui/tk/dictionary.rb'
# =========================================================================== #
begin
  require 'tk'
rescue LoadError; end
require 'dictionaries/class/ask_word_from_dictionary.rb'
require 'dictionaries/toplevel_methods/e.rb'

module Dictionaries

module GUI

module Tk

class Dictionary < ::TkFrame # < Base === Dictionaries::GUI::Tk::Dictionary.new

  include Colours::E

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = nil,
      run_already = true
    )
    super()
    reset
    set_input(i)
    title "TK wrapper for the Dictionaries project"
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
  end

  # ========================================================================= #
  # === set_input
  # ========================================================================= #
  def set_input(i = '')
    i = i.first if i.is_a? Array
    i = i.to_s.dup
    @input = i
  end

  # ========================================================================= #
  # === input?
  # ========================================================================= #
  def input?
    @input
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    TkLabel.new(root) do
     text 'Hello, World!'
     pack { padx 15 ; pady 15; side 'left' }
    end
  end
 
  # ========================================================================= #
  # === Dictionaries::GUI:Tk::Dictionary[]
  # ========================================================================= #
  def self.[](i = '')
    self.new(i)
  end

end; end; end; end

if __FILE__ == $PROGRAM_NAME
  Dictionaries::GUI:Tk::Dictionary.new(ARGV)
  ::Tk.mainloop
end # dictionary.rb