#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# 'dictionaries/english_to_german.rb'
# =========================================================================== #
require 'sinatra/base.rb'

module Dictionaries

class Sinatra < ::Sinatra::Base

  require 'dictionaries/toplevel_methods/english_to_german.rb'
  require 'dictionaries/helper_module/helper_module.rb'

  # ========================================================================= #
  # === /english_to_german
  #
  # This is the root of our web-application.
  # ========================================================================= #
  get('/english_to_german'){
    return_english_to_german_form
  }

  # ========================================================================= #
  # === return_english_to_german_form
  # ========================================================================= #
  def return_english_to_german_form
    route_to_this_action = '/english_to_german/'
    html_header_default_title_and_start_of_the_body_tag+
    h5('Input an english word to see the translation.')+
    div(css_style: 'padding: 0.1em') {
      p(
        '<b>Enter the word here:</b>',
        css_style: 'padding: 0.15em'
      )+
      form(action: route_to_this_action,
               id: 'english_to_german',
        css_style: 'margin-left:1em; margin-top:2px') {
        '<input type="text" name="user_input" style="border:3px solid slateblue; padding: 4px"><br>'+
        return_search_button
      }
    }
  end

  # ========================================================================= #
  # === html_header_default_title_and_start_of_the_body_tag
  # ========================================================================= #
  def html_header_default_title_and_start_of_the_body_tag
    return Dictionaries::HelperModule.html_header_default_title_and_start_of_the_body_tag
  end

  # ========================================================================= #
  # === return_search_button
  # ========================================================================= #
  def return_search_button
    return Dictionaries::HelperModule.return_search_button
  end

  # ========================================================================= #
  # === /english_to_german
  #
  # This is the root of our web-application.
  # ========================================================================= #
  get('/english_to_german/*'){
    _ = params[:splat]
    _ = params.fetch('user_input') if params.has_key?('user_input')
    _ = _.join if _.is_a? Array
    # ======================================================================= #
    # Obtain the translated word next:
    # ======================================================================= #
    translated_word = Dictionaries.english_to_german(_)
    if translated_word
      html_header_default_title_and_start_of_the_body_tag+
      p('The word <b>'+_.to_s+'</b> translates to: '\
      '<b style="font-size: larger; color: darkblue">'+translated_word+'</b>')+
      return_english_to_german_form
    else
      html_header_default_title_and_start_of_the_body_tag+
      p('The key '+_.to_s+' is not registered in the Dictionaries word file.')
    end
  }

end; end