#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === Dictionaries::Statistics
# =========================================================================== #
# require 'dictionaries/statistics/statistics.rb'
# Dictionaries::Statistics.report
# =========================================================================== #
module Dictionaries

module Statistics # === Dictionaries::Statistics

  require 'dictionaries/constants.rb'
  require 'dictionaries/toplevel_methods/misc.rb'
  require 'dictionaries/project/project.rb'

  # ========================================================================= #
  # === Dictionaries::Statistics.e
  # ========================================================================= #
  def self.e(i = '')
    puts i
  end

  # ========================================================================= #
  # === Dictionaries::Statistics.report
  # ========================================================================= #
  def self.report
    require 'yaml'
    begin
      require 'colours'
    rescue LoadError; end
    all_files = Dir[
      Dictionaries.project_yaml_dir?+'*'
    ].reject {|entry| entry.include?('deutsche_fremdwörter.yml') }
    e ::Colours.rev+'The statistics for each .yml file available in this project are'
    e 'as follows:'
    e
    all_files.each {|this_file|
      begin
        dataset = YAML.load_file(this_file)
        if dataset
          e "  #{File.basename(this_file).delete_suffix('.yml').ljust(15)} "+
            "#{::Colours.steelblue(dataset.keys.size.to_s.rjust(4))} words."
        else
          e 'No data is available for '+this_file+'.'
        end
      rescue => error
        pp error
      end
    }
    e
  end

end; end

if __FILE__ == $PROGRAM_NAME
  Dictionaries::Statistics.report
end # statistics.rb