#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'dictionaries/toplevel_methods/english_to_german.rb'
# =========================================================================== #
require 'dictionaries/toplevel_methods/has_key.rb'  
require 'dictionaries/toplevel_methods/misc.rb'

module Dictionaries

  # ========================================================================= #
  # === Dictionaries.english_to_german
  #
  # This method will return nil if the key has not been found in the
  # Dictionaries dataset.
  # ========================================================================= #
  def self.english_to_german(i)
    i = i.join.strip if i.is_a? Array
    converted_word = nil
    if Dictionaries.has_key? i
      converted_word = Dictionaries[i]
    end
    converted_word
  end; self.instance_eval { alias translate_this_from_english_to_german english_to_german } # === Dictionaries.translate_this_from_english_to_german

end

if __FILE__ == $PROGRAM_NAME
  pp Dictionaries.english_to_german(ARGV)
end