#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'dictionaries/toplevel_methods/has_key.rb'
# Dictionaries.has_key?
# =========================================================================== #
module Dictionaries

  require 'dictionaries/ask_english_word.rb'

  # ========================================================================= #
  # === Dictionaries.has_key?
  #
  # Query whether the main file of the Dictionaries namespace, has the
  # given input key at hand.
  #
  # Returns:
  #   true if the key is included
  #   false otherwise
  #
  # Invocation examples:
  #
  #   Dictionaries.has_key? 'apprehensions' # => true
  #   Dictionaries.has_key? 'apprehensio'
  #
  # ========================================================================= #
  def self.has_key?(this_key)
    Dictionaries::AskEnglishWord.dataset?.has_key?(this_key)
  end

end